## xrdp 0.10.1

=== debian/changelog ===
xrdp (0.10.1-4) unstable; urgency=medium

  * Ack NMU.
  * d/rules: disabled fuse.
  * d/control:
    - disable fuse. (Closes: #1121185)
    - drop guacamole from Suggests: (Closes: #1118245)
  * d/watch: upgrade to version 5. (Closes: #1095998)
  * d/clean: updated.

 -- Alex Myczko <tar@debian.org>  Sat, 27 Dec 2025 08:20:49 +0000

xrdp (0.10.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Explicitly configure debian pam configuration. (Closes: #1104505)

 -- Bastian Germann <bage@debian.org>  Fri, 06 Jun 2025 12:43:34 +0200

xrdp (0.10.1-3) unstable; urgency=medium

  * Fix FTCBFS: (Closes: #888772) (Thanks Helmut Grohne for the patch)
    + Avoid useless install-data-hook running host programs.
  * d/rules: disable tests.

 -- Alex Myczko <tar@debian.org>  Fri, 30 Aug 2024 06:24:26 +0000

xrdp (0.10.1-2) unstable; urgency=medium

  * d/control:
    - switch build depends of systemd to systemd-dev (Closes: #106580)
    - drop version from autoconf and automake

 -- Alex Myczko <tar@debian.org>  Wed, 21 Aug 2024 15:08:22 +0000

xrdp (0.10.1-1) unstable; urgency=medium

  * New upstream version.
  * Drop dvorak patch, as upstreamed.

 -- Alex Myczko <tar@debian.org>  Sun, 11 Aug 2024 11:10:04 +0000

=== debian/control ===
Source: xrdp
Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
Uploaders:
 Dominik George <natureshadow@debian.org>,
 Mike Gabriel <sunweaver@debian.org>,
 Thorsten Glaser <tg@mirbsd.de>,
 Alex Myczko <tar@debian.org>,
Section: net
Priority: optional
Build-Depends:
 autoconf,
 automake,
 check,
 debhelper-compat (= 12),
 libjpeg-dev,
 libcmocka-dev,
 libopus-dev,
 libpam0g-dev,
 libssl-dev,
 libtool,
 libx11-dev,
 libxfixes-dev,
 libxrandr-dev,
 nasm [amd64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386],
 openssl,
 pkgconf,
 systemd-dev [linux-any],
Homepage: https://www.xrdp.org/
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian-remote-team/xrdp
Vcs-Git: https://salsa.debian.org/debian-remote-team/xrdp.git

Package: xrdp
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 adduser,
 sysvinit-utils (>= 3.06-4),
 ssl-cert,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 xorgxrdp,
Description: Remote Desktop Protocol (RDP) server
 xrdp offers a graphical login to a remote client using
 RDP (the Remote Desktop Protocol). xrdp can connect to
 a locally created X.org session with the xorgxrdp drivers,
 to a VNC X11 server, and forward to another RDP server.
 .
 xrdp accepts connections from freerdp, rdesktop, and the
 built-in terminal server / remote desktop clients of
 Microsoft Windows operating systems.
 In the xorgxrdp (which replaces X11RDP) and VNC modes,
 it provides a fully functional Linux terminal server,
 offering an X-Window desktop to the user. In the RDP
 or VNC forwarding mode, any sort of desktop can be used.

=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter terse,${DEB_BUILD_OPTIONS}))
export DH_VERBOSE=1
export V=1
export VERBOSE=1
endif

LC_ALL:=C.UTF-8
export LC_ALL

shellescape='$(subst ','\'',$(1))'
shellexport=$(1)=$(call shellescape,${$(1)})

OUR_CPPFLAGS:=
OUR_CFLAGS:=
OUR_LDFLAGS:=		-Wl,--as-needed

include /usr/share/dpkg/buildtools.mk

dpkgbuildflagsmkescape=$(subst \,\\\,$(1))
export DEB_BUILD_MAINT_OPTIONS:=hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CPPFLAGS})
export DEB_CFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CFLAGS})
export DEB_LDFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_LDFLAGS})
DPKG_EXPORT_BUILDFLAGS:=1
include /usr/share/dpkg/default.mk

export PKG_CONFIG_PATH=${CURDIR}/pkgconfig

# this is precisely what dh_auto_configure does
CONFIGURE_ARGS:=	--build=${DEB_BUILD_GNU_TYPE} \
			--prefix=/usr \
			--includedir=\$${prefix}/include \
			--mandir=\$${prefix}/share/man \
			--infodir=\$${prefix}/share/info \
			--sysconfdir=/etc \
			--localstatedir=/var \
			--disable-silent-rules \
			--libdir=\$${prefix}/lib/${DEB_HOST_MULTIARCH} \
			--libexecdir=\$${prefix}/lib/${DEB_HOST_MULTIARCH} \
			--disable-maintainer-mode \
			--disable-dependency-tracking \
			--with-socketdir=/run/xrdp/sockdir

ifneq (${DEB_BUILD_GNU_TYPE},${DEB_HOST_GNU_TYPE})
CONFIGURE_ARGS+=	--host=${DEB_HOST_GNU_TYPE}
endif

ifeq (x32,${DEB_HOST_ARCH})
# autodetection fails on x32 (wrongly recognised as amd64)
CONFIGURE_ARGS+=	--without-simd
endif

#ifeq (hurd,${DEB_HOST_ARCH_OS})
# fuse_lowlevel.h is not yet usable
CONFIGURE_ARGS+=	--disable-fuse
#endif

%:
	dh $@

override_dh_auto_configure:
	./bootstrap
	cd librfxcodec && ./bootstrap
	cd libpainter && ./bootstrap
	./configure \
	    --enable-ipv6 \
	    --enable-jpeg \
	    --enable-fuse \
	    --enable-rfxcodec \
	    --enable-opus \
	    --enable-painter \
	    --enable-pam \
	    --enable-pam-config=debian \
	    --enable-vsock \
	    ${CONFIGURE_ARGS}
	cd librfxcodec && ./configure \
	    --disable-shared \
	    --enable-static \
	    ${CONFIGURE_ARGS}
	cd libpainter && ./configure \
	    --disable-shared \
	    --enable-static \
	    ${CONFIGURE_ARGS}
	find . -name Makefile -print0 | \
	    xargs -0 perl -pi -e 's!XRDP_PID_PATH.*?/run!$$&/xrdp!g' --

override_dh_auto_install:
	# prevent install-data-hook from generating these
	mkdir -p debian/xrdp/etc/xrdp
	touch debian/xrdp/etc/xrdp/rsakeys.ini
	touch debian/xrdp/etc/xrdp/cert.pem
	dh_auto_install -v --destdir=debian/xrdp
	# remove unused/confusing files
	rm -f debian/xrdp/etc/xrdp/xrdp.sh
	rm -f debian/xrdp/etc/xrdp/startwm.sh
	rm -f debian/xrdp/etc/xrdp/rsakeys.ini
	rm -f debian/xrdp/usr/bin/rfxcodectest
	rm -f debian/xrdp/etc/xrdp/cert.pem
	rm -f debian/xrdp/etc/xrdp/key.pem
	# Policy
	find debian/xrdp/ -name \*.la -print0 | xargs -0 rm -f --
	find debian/xrdp/usr/lib/ -name \*.a -print0 | \
	    xargs -0 strip --strip-debug -R .comment --

override_dh_auto_test:
	@echo skip tests

override_dh_installchangelogs:
	dh_installchangelogs -pxrdp -- NEWS.md
	dh_installchangelogs --remaining-packages

override_dh_installinit:
	dh_installinit --no-stop-on-upgrade

override_dh_installsystemd:
	dh_installsystemd --no-stop-on-upgrade

=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/neutrinolabs/@PACKAGE@/releases
Matching-Pattern: https://github.com/neutrinolabs/@PACKAGE@/releases/download/v?[\d.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Pgpsigurlmangle: s/$/.asc/
Searchmode: plain

Template: Github
Owner: neutrinolabs
Project: @PACKAGE@

## xrdp 0.10.2

=== debian/changelog ===
xrdp (0.10.2-2) experimental; urgency=medium

  * d/control: add build-depends libx264-dev and libopenh264-dev.
  * d/rules: enable building with x264 support. (Closes: #1093722)
  * instfiles/xrdp.service.in: patched to run as xrdp.

 -- Alex Myczko <tar@debian.org>  Wed, 22 Jan 2025 10:23:17 +0000

xrdp (0.10.2-1) experimental; urgency=medium

  * New upstream version.
  * d/control:
    - move from fuse to fuse3. (Closes: #1084479)
    - drop Suggests. (Closes: #1089217)

 -- Alex Myczko <tar@debian.org>  Tue, 21 Jan 2025 08:33:57 +0000

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  automake,
  check,
  debhelper-compat (= 12),
+ libfuse3-dev (>= 3.10.1-3) [!hurd-any] | libfuse-dev (<< 3) [!hurd-any],
  libjpeg-dev,
  libcmocka-dev,
  libopus-dev,
@@ -21,7 +22,9 @@
  libx11-dev,
  libxfixes-dev,
  libxrandr-dev,
- nasm [amd64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386],
+ libx264-dev,
+ libopenh264-dev,
+ nasm [amd64 hurd-i386 i386],
  openssl,
  pkgconf,
  systemd-dev [linux-any],
@@ -41,6 +44,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
+ fuse3 (>= 3.10.1-3) [!hurd-any] | fuse (<< 3) [!hurd-any],
  xorgxrdp,
 Description: Remote Desktop Protocol (RDP) server
  xrdp offers a graphical login to a remote client using

=== debian/rules ===
--- 
+++ 
@@ -52,10 +52,10 @@
 CONFIGURE_ARGS+=	--without-simd
 endif
 
-#ifeq (hurd,${DEB_HOST_ARCH_OS})
+ifeq (hurd,${DEB_HOST_ARCH_OS})
 # fuse_lowlevel.h is not yet usable
 CONFIGURE_ARGS+=	--disable-fuse
-#endif
+endif
 
 %:
 	dh $@
@@ -70,9 +70,9 @@
 	    --enable-fuse \
 	    --enable-rfxcodec \
 	    --enable-opus \
+	    --enable-x264 \
+	    --enable-openh264 \
 	    --enable-painter \
-	    --enable-pam \
-	    --enable-pam-config=debian \
 	    --enable-vsock \
 	    ${CONFIGURE_ARGS}
 	cd librfxcodec && ./configure \

## xrdp 0.10.4.1

=== fontutils/windows/Makefile ===

OBJS = fontdump.obj os_calls.obj

#CFLAGS = -O2 -I../common
CFLAGS = -O2 -I../common -DUNICODE -D_UNICODE
LDFLAGS = -W -efontdump.exe

all: fontdump1

fontdump1: $(OBJS)
	$(CC) $(LDFLAGS) $(OBJS)

clean:
	del $(OBJS) fontdump.exe *.tds

os_calls.obj: ../common/os_calls.c
	$(CC) $(CFLAGS) -c ../common/os_calls.c

=== sesman/chansrv/pcsc/Makefile ===

OBJS = xrdp_pcsc.o

CFLAGS = -Wall -O2 -fPIC

all: libpcsclite.so

libpcsclite.so: $(OBJS)
	$(CC) $(LDFLAGS) -shared -o libpcsclite.so $(OBJS)

clean:
	rm -f $(OBJS) libpcsclite.so

=== sesman/chansrv/pcsc/wrapper/Makefile ===

CC=bcc32.exe

CFLAGS=-O2

OBJS=winscard.obj

winscard.dll: $(OBJS)
	$(CC) -ewinscard.dll -tWD $(OBJS)

clean:
	-del winscard.dll
	-del *.obj
	-del *.tds

=== debian/changelog ===
xrdp (0.10.4.1-2) experimental; urgency=medium

  * d/control: add missing build-depends.

 -- Alex Myczko <tar@debian.org>  Fri, 12 Sep 2025 09:31:50 +0200

xrdp (0.10.4.1-1) experimental; urgency=medium

  * New upstream version.
  * Ack NMU.

 -- Alex Myczko <tar@debian.org>  Mon, 08 Sep 2025 13:54:56 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  automake,
  check,
  debhelper-compat (= 12),
- libfuse3-dev (>= 3.10.1-3) [!hurd-any] | libfuse-dev (<< 3) [!hurd-any],
+ libfuse3-dev [!hurd-any],
  libjpeg-dev,
  libcmocka-dev,
  libopus-dev,
@@ -22,9 +22,7 @@
  libx11-dev,
  libxfixes-dev,
  libxrandr-dev,
- libx264-dev,
- libopenh264-dev,
- nasm [amd64 hurd-i386 i386],
+ nasm [amd64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386],
  openssl,
  pkgconf,
  systemd-dev [linux-any],
@@ -44,8 +42,10 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- fuse3 (>= 3.10.1-3) [!hurd-any] | fuse (<< 3) [!hurd-any],
+ fuse [!hurd-any],
  xorgxrdp,
+Suggests:
+ guacamole,
 Description: Remote Desktop Protocol (RDP) server
  xrdp offers a graphical login to a remote client using
  RDP (the Remote Desktop Protocol). xrdp can connect to

## xrdp 0.10.5

=== debian/changelog ===
xrdp (0.10.5-3) unstable; urgency=medium

  * Bump standards version to 4.7.3.

 -- Alex Myczko <tar@debian.org>  Mon, 23 Feb 2026 20:21:46 +0000

xrdp (0.10.5-2) experimental; urgency=medium

  * d/patches/series: re-enabled config.diff change. (Closes: #1127009)

 -- Alex Myczko <tar@debian.org>  Sat, 14 Feb 2026 18:25:35 +0000

xrdp (0.10.5-1) experimental; urgency=medium

  * New upstream version. (Closes: #1126537) (CVE-2025-68670)
  * d/control: drop Rules-Requires-Root.
  * Bump standards version to 4.7.2.
  * d/copyright: bump years.
  * d/watch: update to version 5.

 -- Alex Myczko <tar@debian.org>  Fri, 30 Jan 2026 15:58:54 +0100

=== debian/control ===
--- 
+++ 
@@ -22,13 +22,12 @@
  libx11-dev,
  libxfixes-dev,
  libxrandr-dev,
- nasm [amd64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386],
+ nasm [amd64 hurd-i386 i386],
  openssl,
  pkgconf,
  systemd-dev [linux-any],
 Homepage: https://www.xrdp.org/
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-remote-team/xrdp
 Vcs-Git: https://salsa.debian.org/debian-remote-team/xrdp.git
